package JHS.MPMultiLineChart;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new anywheresoftware.b4a.ShellBA(this.getApplicationContext(), null, null, "JHS.MPMultiLineChart", "JHS.MPMultiLineChart.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "JHS.MPMultiLineChart", "JHS.MPMultiLineChart.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "JHS.MPMultiLineChart.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
//        try {
//            if (processBA.subExists("activity_actionbarhomeclick")) {
//                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
//                    getClass().getMethod("getActionBar").invoke(this), true);
//                BA.Log("adding event");
//            }
//        } catch (Exception e) {
//            e.printStackTrace();
//        }
		return true;
	}   
// @Override
// public boolean onOptionsItemSelected(android.view.MenuItem item) {
//    if (item.getItemId() == 16908332) {
//        processBA.raiseEvent(null, "activity_actionbarhomeclick");
//        return true;
//    }
//    else
//        return super.onOptionsItemSelected(item); 
//}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}



public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}
public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}

public static void killProgram() {
     {
            Activity __a = null;
            if (main.previousOne != null) {
				__a = main.previousOne.get();
			}
            else {
                BA ba = main.mostCurrent.processBA.sharedProcessBA.activityBA.get();
                if (ba != null) __a = ba.activity;
            }
            if (__a != null)
				__a.finish();}

BA.applicationContext.stopService(new android.content.Intent(BA.applicationContext, starter.class));
}
public anywheresoftware.b4a.keywords.Common __c = null;
public static double _devdelta = 0;
public static int _nrodiasgraph = 0;
public static int _nextdays = 0;
public mpandroidchartwrapper.multiLineChartWrapper _mlc1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button1 = null;
public static int _flag = 0;
public static String[] _mydates = null;
public static String[] _myvalue0 = null;
public static String[] _myvalue1 = null;
public static String[] _myvalue2 = null;
public static String[] _myvalue3 = null;
public static String[] _leyend = null;
public static String[][] _myvaluesini = null;
public static String[] _mydateini = null;
public JHS.MPMultiLineChart.starter _starter = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
RDebugUtils.currentModule="main";
int _txtsz09 = 0;
int _txtsz10 = 0;
int _txtsz11 = 0;
int _txtsz12 = 0;
int _delta = 0;
String[][] _myvalue = null;
String[] _mydate = null;
int _i = 0;
RDebugUtils.currentLine=131072;
 //BA.debugLineNum = 131072;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
RDebugUtils.currentLine=131074;
 //BA.debugLineNum = 131074;BA.debugLine="Activity.LoadLayout(\"main\")";
mostCurrent._activity.LoadLayout("main",mostCurrent.activityBA);
RDebugUtils.currentLine=131076;
 //BA.debugLineNum = 131076;BA.debugLine="DevDelta = ( (100%x + 100%y) / (100dip + 200dip) - 1 )";
_devdelta = ((anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA)+anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA))/(double)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (100))+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (200)))-1);
RDebugUtils.currentLine=131077;
 //BA.debugLineNum = 131077;BA.debugLine="DevDelta = ( (100%x + 100%y) / (100dip + 200dip) - 1 )";
_devdelta = ((anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA)+anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA))/(double)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (100))+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (200)))-1);
RDebugUtils.currentLine=131078;
 //BA.debugLineNum = 131078;BA.debugLine="Activity.Color 		= Colors.White";
mostCurrent._activity.setColor(anywheresoftware.b4a.keywords.Common.Colors.White);
RDebugUtils.currentLine=131080;
 //BA.debugLineNum = 131080;BA.debugLine="If mlc1.IsInitialized Then";
if (mostCurrent._mlc1.IsInitialized()) { 
RDebugUtils.currentLine=131081;
 //BA.debugLineNum = 131081;BA.debugLine="mlc1 = Null";
mostCurrent._mlc1.setObject((com.github.mikephil.charting.charts.LineChart)(anywheresoftware.b4a.keywords.Common.Null));
 };
RDebugUtils.currentLine=131084;
 //BA.debugLineNum = 131084;BA.debugLine="Dim TxtSz09, TxtSz10, TxtSz11, TxtSz12, Delta As Int";
_txtsz09 = 0;
_txtsz10 = 0;
_txtsz11 = 0;
_txtsz12 = 0;
_delta = 0;
RDebugUtils.currentLine=131085;
 //BA.debugLineNum = 131085;BA.debugLine="Delta		= (DevDelta * 1)";
_delta = (int) ((_devdelta*1));
RDebugUtils.currentLine=131086;
 //BA.debugLineNum = 131086;BA.debugLine="TxtSz09		=  9 + Delta";
_txtsz09 = (int) (9+_delta);
RDebugUtils.currentLine=131087;
 //BA.debugLineNum = 131087;BA.debugLine="TxtSz10		= 10 + Delta";
_txtsz10 = (int) (10+_delta);
RDebugUtils.currentLine=131088;
 //BA.debugLineNum = 131088;BA.debugLine="TxtSz11		= 11 + Delta";
_txtsz11 = (int) (11+_delta);
RDebugUtils.currentLine=131089;
 //BA.debugLineNum = 131089;BA.debugLine="TxtSz12		= 12 + Delta";
_txtsz12 = (int) (12+_delta);
RDebugUtils.currentLine=131091;
 //BA.debugLineNum = 131091;BA.debugLine="mlc1.Initialize(\"mlc1\")";
mostCurrent._mlc1.Initialize(processBA,"mlc1");
RDebugUtils.currentLine=131092;
 //BA.debugLineNum = 131092;BA.debugLine="Activity.AddView(mlc1, 0dip, 0dip, 100%x, 100%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._mlc1.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (0)),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA));
RDebugUtils.currentLine=131093;
 //BA.debugLineNum = 131093;BA.debugLine="mlc1.Left		=  2%x + Delta		: mlc1.Top			=  2%y + Delta";
mostCurrent._mlc1.setLeft((int) (anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA)+_delta));
RDebugUtils.currentLine=131093;
 //BA.debugLineNum = 131093;BA.debugLine="mlc1.Left		=  2%x + Delta		: mlc1.Top			=  2%y + Delta";
mostCurrent._mlc1.setTop((int) (anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (2),mostCurrent.activityBA)+_delta));
RDebugUtils.currentLine=131094;
 //BA.debugLineNum = 131094;BA.debugLine="mlc1.Width		= 96%x + Delta		: mlc1.Height		= 90%y + Delta";
mostCurrent._mlc1.setWidth((int) (anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (96),mostCurrent.activityBA)+_delta));
RDebugUtils.currentLine=131094;
 //BA.debugLineNum = 131094;BA.debugLine="mlc1.Width		= 96%x + Delta		: mlc1.Height		= 90%y + Delta";
mostCurrent._mlc1.setHeight((int) (anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (90),mostCurrent.activityBA)+_delta));
RDebugUtils.currentLine=131095;
 //BA.debugLineNum = 131095;BA.debugLine="Button1.Initialize(\"Button1\")";
mostCurrent._button1.Initialize(mostCurrent.activityBA,"Button1");
RDebugUtils.currentLine=131096;
 //BA.debugLineNum = 131096;BA.debugLine="Activity.AddView(Button1, 0dip, 0dip, 100%x, 100%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._button1.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (0)),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA));
RDebugUtils.currentLine=131097;
 //BA.debugLineNum = 131097;BA.debugLine="Button1.Left 	= 81%x + Delta		: Button1.Top		= mlc1.Height - 5%y + Delta";
mostCurrent._button1.setLeft((int) (anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (81),mostCurrent.activityBA)+_delta));
RDebugUtils.currentLine=131097;
 //BA.debugLineNum = 131097;BA.debugLine="Button1.Left 	= 81%x + Delta		: Button1.Top		= mlc1.Height - 5%y + Delta";
mostCurrent._button1.setTop((int) (mostCurrent._mlc1.getHeight()-anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA)+_delta));
RDebugUtils.currentLine=131098;
 //BA.debugLineNum = 131098;BA.debugLine="Button1.Width	= 15%x + Delta		: Button1.Height	= 10%y + Delta";
mostCurrent._button1.setWidth((int) (anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (15),mostCurrent.activityBA)+_delta));
RDebugUtils.currentLine=131098;
 //BA.debugLineNum = 131098;BA.debugLine="Button1.Width	= 15%x + Delta		: Button1.Height	= 10%y + Delta";
mostCurrent._button1.setHeight((int) (anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA)+_delta));
RDebugUtils.currentLine=131099;
 //BA.debugLineNum = 131099;BA.debugLine="Button1.TextColor 		= Colors.White";
mostCurrent._button1.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
RDebugUtils.currentLine=131101;
 //BA.debugLineNum = 131101;BA.debugLine="NroDiasGraph 	= 6";
_nrodiasgraph = (int) (6);
RDebugUtils.currentLine=131102;
 //BA.debugLineNum = 131102;BA.debugLine="NextDays 		= DameSigDiasGraph						' 6, 14, 30, 60, 89, 179, 269, 364";
_nextdays = _damesigdiasgraph();
RDebugUtils.currentLine=131104;
 //BA.debugLineNum = 131104;BA.debugLine="Button1.TextSize 		= TxtSz10";
mostCurrent._button1.setTextSize((float) (_txtsz10));
RDebugUtils.currentLine=131105;
 //BA.debugLineNum = 131105;BA.debugLine="Button1.Text 			= \">>\"";
mostCurrent._button1.setText((Object)(">>"));
RDebugUtils.currentLine=131107;
 //BA.debugLineNum = 131107;BA.debugLine="Dim MyValue(5, NroDiasGraph+1) As String";
_myvalue = new String[(int) (5)][];
{
int d0 = _myvalue.length;
int d1 = (int) (_nrodiasgraph+1);
for (int i0 = 0;i0 < d0;i0++) {
_myvalue[i0] = new String[d1];
java.util.Arrays.fill(_myvalue[i0],"");
}
}
;
RDebugUtils.currentLine=131108;
 //BA.debugLineNum = 131108;BA.debugLine="Dim MyDate(NroDiasGraph+1)  As String";
_mydate = new String[(int) (_nrodiasgraph+1)];
java.util.Arrays.fill(_mydate,"");
RDebugUtils.currentLine=131110;
 //BA.debugLineNum = 131110;BA.debugLine="For i = 0 To NroDiasGraph";
{
final int step51 = 1;
final int limit51 = _nrodiasgraph;
for (_i = (int) (0); (step51 > 0 && _i <= limit51) || (step51 < 0 && _i >= limit51); _i = ((int)(0 + _i + step51))) {
RDebugUtils.currentLine=131111;
 //BA.debugLineNum = 131111;BA.debugLine="MyValue(1, NroDiasGraph-i)	= MyValue0(MyValue0.Length-1-i)";
_myvalue[(int) (1)][(int) (_nrodiasgraph-_i)] = mostCurrent._myvalue0[(int) (mostCurrent._myvalue0.length-1-_i)];
RDebugUtils.currentLine=131112;
 //BA.debugLineNum = 131112;BA.debugLine="MyValue(2, NroDiasGraph-i)	= MyValue1(MyValue1.Length-1-i)";
_myvalue[(int) (2)][(int) (_nrodiasgraph-_i)] = mostCurrent._myvalue1[(int) (mostCurrent._myvalue1.length-1-_i)];
RDebugUtils.currentLine=131113;
 //BA.debugLineNum = 131113;BA.debugLine="MyValue(3, NroDiasGraph-i)	= MyValue2(MyValue2.Length-1-i)";
_myvalue[(int) (3)][(int) (_nrodiasgraph-_i)] = mostCurrent._myvalue2[(int) (mostCurrent._myvalue2.length-1-_i)];
RDebugUtils.currentLine=131114;
 //BA.debugLineNum = 131114;BA.debugLine="MyValue(4, NroDiasGraph-i)	= MyValue3(MyValue3.Length-1-i)";
_myvalue[(int) (4)][(int) (_nrodiasgraph-_i)] = mostCurrent._myvalue3[(int) (mostCurrent._myvalue3.length-1-_i)];
RDebugUtils.currentLine=131115;
 //BA.debugLineNum = 131115;BA.debugLine="MyDate (NroDiasGraph-i)		= MyDates (MyDates.Length -1-i)";
_mydate[(int) (_nrodiasgraph-_i)] = mostCurrent._mydates[(int) (mostCurrent._mydates.length-1-_i)];
 }
};
RDebugUtils.currentLine=131118;
 //BA.debugLineNum = 131118;BA.debugLine="MyValuesIni = MyValue";
mostCurrent._myvaluesini = _myvalue;
RDebugUtils.currentLine=131119;
 //BA.debugLineNum = 131119;BA.debugLine="MyDateIni	= MyDate";
mostCurrent._mydateini = _mydate;
RDebugUtils.currentLine=131121;
 //BA.debugLineNum = 131121;BA.debugLine="NextDays 				= DameSigDiasGraph					' 6, 14, 30, 60, 89, 179, 269, 364";
_nextdays = _damesigdiasgraph();
RDebugUtils.currentLine=131122;
 //BA.debugLineNum = 131122;BA.debugLine="F51_DrawGraph(\"Example\")";
_f51_drawgraph("Example");
RDebugUtils.currentLine=131124;
 //BA.debugLineNum = 131124;BA.debugLine="End Sub";
return "";
}
public static int  _damesigdiasgraph() throws Exception{
RDebugUtils.currentModule="main";
int _sigdiasgraph = 0;
RDebugUtils.currentLine=327680;
 //BA.debugLineNum = 327680;BA.debugLine="Sub DameSigDiasGraph() As Int";
RDebugUtils.currentLine=327682;
 //BA.debugLineNum = 327682;BA.debugLine="Dim SigDiasGraph As Int";
_sigdiasgraph = 0;
RDebugUtils.currentLine=327683;
 //BA.debugLineNum = 327683;BA.debugLine="Select NroDiasGraph";
switch (_nrodiasgraph) {
case 6:
RDebugUtils.currentLine=327685;
 //BA.debugLineNum = 327685;BA.debugLine="SigDiasGraph = 14";
_sigdiasgraph = (int) (14);
 break;
case 14:
RDebugUtils.currentLine=327687;
 //BA.debugLineNum = 327687;BA.debugLine="SigDiasGraph = 30";
_sigdiasgraph = (int) (30);
 break;
case 30:
RDebugUtils.currentLine=327689;
 //BA.debugLineNum = 327689;BA.debugLine="SigDiasGraph = 59";
_sigdiasgraph = (int) (59);
 break;
case 59:
RDebugUtils.currentLine=327691;
 //BA.debugLineNum = 327691;BA.debugLine="SigDiasGraph = 89";
_sigdiasgraph = (int) (89);
 break;
case 89:
RDebugUtils.currentLine=327693;
 //BA.debugLineNum = 327693;BA.debugLine="SigDiasGraph = 179";
_sigdiasgraph = (int) (179);
 break;
case 179:
RDebugUtils.currentLine=327695;
 //BA.debugLineNum = 327695;BA.debugLine="SigDiasGraph = 269";
_sigdiasgraph = (int) (269);
 break;
case 269:
RDebugUtils.currentLine=327697;
 //BA.debugLineNum = 327697;BA.debugLine="SigDiasGraph = 364";
_sigdiasgraph = (int) (364);
 break;
case 364:
RDebugUtils.currentLine=327699;
 //BA.debugLineNum = 327699;BA.debugLine="SigDiasGraph = 6";
_sigdiasgraph = (int) (6);
 break;
default:
RDebugUtils.currentLine=327701;
 //BA.debugLineNum = 327701;BA.debugLine="SigDiasGraph = 6";
_sigdiasgraph = (int) (6);
 break;
}
;
RDebugUtils.currentLine=327704;
 //BA.debugLineNum = 327704;BA.debugLine="Return SigDiasGraph";
if (true) return _sigdiasgraph;
RDebugUtils.currentLine=327706;
 //BA.debugLineNum = 327706;BA.debugLine="End Sub";
return 0;
}
public static String  _f51_drawgraph(String _mydesc) throws Exception{
RDebugUtils.currentModule="main";
int _txtsz09 = 0;
int _txtsz10 = 0;
int _txtsz11 = 0;
int _txtsz12 = 0;
int _delta = 0;
float[] _midat0 = null;
float[] _midat1 = null;
float[] _midat2 = null;
float[] _midat3 = null;
String[] _mydate = null;
int _i = 0;
RDebugUtils.currentLine=458752;
 //BA.debugLineNum = 458752;BA.debugLine="Sub F51_DrawGraph(MyDesc As String)";
RDebugUtils.currentLine=458755;
 //BA.debugLineNum = 458755;BA.debugLine="mlc1.YaxisDependancy = Array As String(\"LEFT\", \"LEFT\", \"LEFT\", \"LEFT\")";
mostCurrent._mlc1.setYaxisDependancy(new String[]{"LEFT","LEFT","LEFT","LEFT"});
RDebugUtils.currentLine=458759;
 //BA.debugLineNum = 458759;BA.debugLine="Dim TxtSz09, TxtSz10, TxtSz11, TxtSz12, Delta As Int";
_txtsz09 = 0;
_txtsz10 = 0;
_txtsz11 = 0;
_txtsz12 = 0;
_delta = 0;
RDebugUtils.currentLine=458760;
 //BA.debugLineNum = 458760;BA.debugLine="Delta		= (DevDelta * 1)";
_delta = (int) ((_devdelta*1));
RDebugUtils.currentLine=458761;
 //BA.debugLineNum = 458761;BA.debugLine="TxtSz09		=  9 + Delta";
_txtsz09 = (int) (9+_delta);
RDebugUtils.currentLine=458762;
 //BA.debugLineNum = 458762;BA.debugLine="TxtSz10		= 10 + Delta";
_txtsz10 = (int) (10+_delta);
RDebugUtils.currentLine=458763;
 //BA.debugLineNum = 458763;BA.debugLine="TxtSz11		= 11 + Delta";
_txtsz11 = (int) (11+_delta);
RDebugUtils.currentLine=458764;
 //BA.debugLineNum = 458764;BA.debugLine="TxtSz12		= 12 + Delta";
_txtsz12 = (int) (12+_delta);
RDebugUtils.currentLine=458767;
 //BA.debugLineNum = 458767;BA.debugLine="mlc1.ChartDescription 			= MyDesc & \":: (\" & (NroDiasGraph+1) & \" days)\"";
mostCurrent._mlc1.setChartDescription(_mydesc+":: ("+BA.NumberToString((_nrodiasgraph+1))+" days)");
RDebugUtils.currentLine=458768;
 //BA.debugLineNum = 458768;BA.debugLine="mlc1.ChartDescriptionColor 		= Colors.White";
mostCurrent._mlc1.setChartDescriptionColor(anywheresoftware.b4a.keywords.Common.Colors.White);
RDebugUtils.currentLine=458769;
 //BA.debugLineNum = 458769;BA.debugLine="mlc1.ChartDescriptionTextSize 	= TxtSz12";
mostCurrent._mlc1.setChartDescriptionTextSize((float) (_txtsz12));
RDebugUtils.currentLine=458770;
 //BA.debugLineNum = 458770;BA.debugLine="mlc1.setDescriptionPosition(mlc1.Left + 25%x + Delta, mlc1.Height - 12%y + Delta)";
mostCurrent._mlc1.setDescriptionPosition((float) (mostCurrent._mlc1.getLeft()+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (25),mostCurrent.activityBA)+_delta),(float) (mostCurrent._mlc1.getHeight()-anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (12),mostCurrent.activityBA)+_delta));
RDebugUtils.currentLine=458772;
 //BA.debugLineNum = 458772;BA.debugLine="mlc1.GridBackgroundColor = Colors.DarkGray";
mostCurrent._mlc1.setGridBackgroundColor(anywheresoftware.b4a.keywords.Common.Colors.DarkGray);
RDebugUtils.currentLine=458779;
 //BA.debugLineNum = 458779;BA.debugLine="mlc1.setTheLegendPositionAndForm(\"BELOW_CHART_CENTER\",\"CIRCLE\")";
mostCurrent._mlc1.setTheLegendPositionAndForm("BELOW_CHART_CENTER","CIRCLE");
RDebugUtils.currentLine=458780;
 //BA.debugLineNum = 458780;BA.debugLine="mlc1.LegendShapeSize 	= TxtSz10";
mostCurrent._mlc1.setLegendShapeSize((float) (_txtsz10));
RDebugUtils.currentLine=458781;
 //BA.debugLineNum = 458781;BA.debugLine="mlc1.TheLegendColor 	= Colors.Black";
mostCurrent._mlc1.setTheLegendColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=458782;
 //BA.debugLineNum = 458782;BA.debugLine="mlc1.TheLegendTextSize 	= TxtSz12";
mostCurrent._mlc1.setTheLegendTextSize((float) (_txtsz12));
RDebugUtils.currentLine=458784;
 //BA.debugLineNum = 458784;BA.debugLine="mlc1.LegendText 		= Leyend";
mostCurrent._mlc1.setLegendText(mostCurrent._leyend);
RDebugUtils.currentLine=458787;
 //BA.debugLineNum = 458787;BA.debugLine="mlc1.ValueTextColor	= Array As Int(Colors.Red, Colors.Yellow, Colors.Green, Colors.Cyan, Colors.Magenta)";
mostCurrent._mlc1.setValueTextColor(new int[]{anywheresoftware.b4a.keywords.Common.Colors.Red,anywheresoftware.b4a.keywords.Common.Colors.Yellow,anywheresoftware.b4a.keywords.Common.Colors.Green,anywheresoftware.b4a.keywords.Common.Colors.Cyan,anywheresoftware.b4a.keywords.Common.Colors.Magenta});
RDebugUtils.currentLine=458788;
 //BA.debugLineNum = 458788;BA.debugLine="mlc1.ValueTextSize	= Array As Float(10.0, 10.0, 10.0, 10.0, 10.0)";
mostCurrent._mlc1.setValueTextSize(new float[]{(float) (10.0),(float) (10.0),(float) (10.0),(float) (10.0),(float) (10.0)});
RDebugUtils.currentLine=458796;
 //BA.debugLineNum = 458796;BA.debugLine="Dim MiDat0(NroDiasGraph+1), MiDat1(NroDiasGraph+1), MiDat2(NroDiasGraph+1), MiDat3(NroDiasGraph+1) As Float";
_midat0 = new float[(int) (_nrodiasgraph+1)];
;
_midat1 = new float[(int) (_nrodiasgraph+1)];
;
_midat2 = new float[(int) (_nrodiasgraph+1)];
;
_midat3 = new float[(int) (_nrodiasgraph+1)];
;
RDebugUtils.currentLine=458797;
 //BA.debugLineNum = 458797;BA.debugLine="Dim MyDate(NroDiasGraph+1)  As String";
_mydate = new String[(int) (_nrodiasgraph+1)];
java.util.Arrays.fill(_mydate,"");
RDebugUtils.currentLine=458799;
 //BA.debugLineNum = 458799;BA.debugLine="For i=0 To NroDiasGraph";
{
final int step131 = 1;
final int limit131 = _nrodiasgraph;
for (_i = (int) (0); (step131 > 0 && _i <= limit131) || (step131 < 0 && _i >= limit131); _i = ((int)(0 + _i + step131))) {
RDebugUtils.currentLine=458800;
 //BA.debugLineNum = 458800;BA.debugLine="MiDat0(i)		= MyValuesIni(1, i)";
_midat0[_i] = (float)(Double.parseDouble(mostCurrent._myvaluesini[(int) (1)][_i]));
RDebugUtils.currentLine=458801;
 //BA.debugLineNum = 458801;BA.debugLine="MiDat1(i)		= MyValuesIni(2, i)";
_midat1[_i] = (float)(Double.parseDouble(mostCurrent._myvaluesini[(int) (2)][_i]));
RDebugUtils.currentLine=458802;
 //BA.debugLineNum = 458802;BA.debugLine="MiDat2(i)		= MyValuesIni(3, i)";
_midat2[_i] = (float)(Double.parseDouble(mostCurrent._myvaluesini[(int) (3)][_i]));
RDebugUtils.currentLine=458803;
 //BA.debugLineNum = 458803;BA.debugLine="MiDat3(i)		= MyValuesIni(4, i)";
_midat3[_i] = (float)(Double.parseDouble(mostCurrent._myvaluesini[(int) (4)][_i]));
RDebugUtils.currentLine=458804;
 //BA.debugLineNum = 458804;BA.debugLine="MyDate(i)		= MyDateIni(i)";
_mydate[_i] = mostCurrent._mydateini[_i];
 }
};
RDebugUtils.currentLine=458807;
 //BA.debugLineNum = 458807;BA.debugLine="mlc1.Chart_1_Data	= MiDat0";
mostCurrent._mlc1.setChart_1_Data(_midat0);
RDebugUtils.currentLine=458808;
 //BA.debugLineNum = 458808;BA.debugLine="mlc1.Chart_2_Data	= MiDat1";
mostCurrent._mlc1.setChart_2_Data(_midat1);
RDebugUtils.currentLine=458809;
 //BA.debugLineNum = 458809;BA.debugLine="mlc1.Chart_3_Data	= MiDat2";
mostCurrent._mlc1.setChart_3_Data(_midat2);
RDebugUtils.currentLine=458810;
 //BA.debugLineNum = 458810;BA.debugLine="mlc1.Chart_4_Data	= MiDat3";
mostCurrent._mlc1.setChart_4_Data(_midat3);
RDebugUtils.currentLine=458818;
 //BA.debugLineNum = 458818;BA.debugLine="mlc1.DrawGraphValues = Array As Boolean(True, True, True, True, True)";
mostCurrent._mlc1.setDrawGraphValues(new boolean[]{anywheresoftware.b4a.keywords.Common.True,anywheresoftware.b4a.keywords.Common.True,anywheresoftware.b4a.keywords.Common.True,anywheresoftware.b4a.keywords.Common.True,anywheresoftware.b4a.keywords.Common.True});
RDebugUtils.currentLine=458823;
 //BA.debugLineNum = 458823;BA.debugLine="mlc1.LineColors 	= Array As Int(Colors.Red, Colors.Yellow, Colors.Green, Colors.Cyan, Colors.Magenta)";
mostCurrent._mlc1.setLineColors(new int[]{anywheresoftware.b4a.keywords.Common.Colors.Red,anywheresoftware.b4a.keywords.Common.Colors.Yellow,anywheresoftware.b4a.keywords.Common.Colors.Green,anywheresoftware.b4a.keywords.Common.Colors.Cyan,anywheresoftware.b4a.keywords.Common.Colors.Magenta});
RDebugUtils.currentLine=458824;
 //BA.debugLineNum = 458824;BA.debugLine="mlc1.GraphLineWidth = Array As Float(1.0, 1.0, 1.0, 1.0, 1.0)";
mostCurrent._mlc1.setGraphLineWidth(new float[]{(float) (1.0),(float) (1.0),(float) (1.0),(float) (1.0),(float) (1.0)});
RDebugUtils.currentLine=458825;
 //BA.debugLineNum = 458825;BA.debugLine="mlc1.DrawFilled 	= Array As Boolean(False, False, False, False, False)";
mostCurrent._mlc1.setDrawFilled(new boolean[]{anywheresoftware.b4a.keywords.Common.False,anywheresoftware.b4a.keywords.Common.False,anywheresoftware.b4a.keywords.Common.False,anywheresoftware.b4a.keywords.Common.False,anywheresoftware.b4a.keywords.Common.False});
RDebugUtils.currentLine=458827;
 //BA.debugLineNum = 458827;BA.debugLine="mlc1.XaxisTextSize	= TxtSz11";
mostCurrent._mlc1.setXaxisTextSize((float) (_txtsz11));
RDebugUtils.currentLine=458828;
 //BA.debugLineNum = 458828;BA.debugLine="mlc1.XaxisTextColor	= Colors.Black";
mostCurrent._mlc1.setXaxisTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=458830;
 //BA.debugLineNum = 458830;BA.debugLine="mlc1.XaxisLables	= MyDate";
mostCurrent._mlc1.setXaxisLables(_mydate);
RDebugUtils.currentLine=458833;
 //BA.debugLineNum = 458833;BA.debugLine="mlc1.XaxisLabelPosition	= \"TOP\"";
mostCurrent._mlc1.setXaxisLabelPosition("TOP");
RDebugUtils.currentLine=458834;
 //BA.debugLineNum = 458834;BA.debugLine="mlc1.XaxisTextAngle		= 0";
mostCurrent._mlc1.setXaxisTextAngle((float) (0));
RDebugUtils.currentLine=458839;
 //BA.debugLineNum = 458839;BA.debugLine="mlc1.YaxisTextSize			= TxtSz10";
mostCurrent._mlc1.setYaxisTextSize((float) (_txtsz10));
RDebugUtils.currentLine=458840;
 //BA.debugLineNum = 458840;BA.debugLine="mlc1.YaxisLeftTextColor 	= Colors.Black";
mostCurrent._mlc1.setYaxisLeftTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=458841;
 //BA.debugLineNum = 458841;BA.debugLine="mlc1.ShowYaxisRightLabels 	= False";
mostCurrent._mlc1.setShowYaxisRightLabels(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=458843;
 //BA.debugLineNum = 458843;BA.debugLine="mlc1.CubicIntensity 		= Array As Float(0.5, 0.5, 0.5, 0.5, 0.5)";
mostCurrent._mlc1.setCubicIntensity(new float[]{(float) (0.5),(float) (0.5),(float) (0.5),(float) (0.5),(float) (0.5)});
RDebugUtils.currentLine=458844;
 //BA.debugLineNum = 458844;BA.debugLine="mlc1.DrawCubicGraph 		= Array As Boolean(False, False, False, False, False)";
mostCurrent._mlc1.setDrawCubicGraph(new boolean[]{anywheresoftware.b4a.keywords.Common.False,anywheresoftware.b4a.keywords.Common.False,anywheresoftware.b4a.keywords.Common.False,anywheresoftware.b4a.keywords.Common.False,anywheresoftware.b4a.keywords.Common.False});
RDebugUtils.currentLine=458845;
 //BA.debugLineNum = 458845;BA.debugLine="mlc1.DrawDashedLine 		= Array As Boolean(False, False, False, False, False)";
mostCurrent._mlc1.setDrawDashedLine(new boolean[]{anywheresoftware.b4a.keywords.Common.False,anywheresoftware.b4a.keywords.Common.False,anywheresoftware.b4a.keywords.Common.False,anywheresoftware.b4a.keywords.Common.False,anywheresoftware.b4a.keywords.Common.False});
RDebugUtils.currentLine=458846;
 //BA.debugLineNum = 458846;BA.debugLine="mlc1.GraphCircleSize 		= Array As Float(1.5, 1.5, 1.5, 1.5, 1.5)";
mostCurrent._mlc1.setGraphCircleSize(new float[]{(float) (1.5),(float) (1.5),(float) (1.5),(float) (1.5),(float) (1.5)});
RDebugUtils.currentLine=458847;
 //BA.debugLineNum = 458847;BA.debugLine="mlc1.GraphCircleColor 		= Array As Int(Colors.Green, Colors.Green, Colors.Yellow, Colors.Green, Colors.Green)";
mostCurrent._mlc1.setGraphCircleColor(new int[]{anywheresoftware.b4a.keywords.Common.Colors.Green,anywheresoftware.b4a.keywords.Common.Colors.Green,anywheresoftware.b4a.keywords.Common.Colors.Yellow,anywheresoftware.b4a.keywords.Common.Colors.Green,anywheresoftware.b4a.keywords.Common.Colors.Green});
RDebugUtils.currentLine=458848;
 //BA.debugLineNum = 458848;BA.debugLine="mlc1.DrawGraphHollowCircles = Array As Boolean(False, False, False, False, False)";
mostCurrent._mlc1.setDrawGraphHollowCircles(new boolean[]{anywheresoftware.b4a.keywords.Common.False,anywheresoftware.b4a.keywords.Common.False,anywheresoftware.b4a.keywords.Common.False,anywheresoftware.b4a.keywords.Common.False,anywheresoftware.b4a.keywords.Common.False});
RDebugUtils.currentLine=458849;
 //BA.debugLineNum = 458849;BA.debugLine="mlc1.MarkerToUse 			= 4";
mostCurrent._mlc1.setMarkerToUse((int) (4));
RDebugUtils.currentLine=458851;
 //BA.debugLineNum = 458851;BA.debugLine="mlc1.XAnimate 				= True";
mostCurrent._mlc1.setXAnimate(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=458852;
 //BA.debugLineNum = 458852;BA.debugLine="mlc1.YAnimate 				= False";
mostCurrent._mlc1.setYAnimate(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=458853;
 //BA.debugLineNum = 458853;BA.debugLine="mlc1.ChartAnimationTime 	= 2000                     'milliseconds";
mostCurrent._mlc1.setChartAnimationTime((int) (2000));
RDebugUtils.currentLine=458857;
 //BA.debugLineNum = 458857;BA.debugLine="mlc1.setLineData(4, NroDiasGraph+1)";
mostCurrent._mlc1.setLineData((int) (4),(int) (_nrodiasgraph+1));
RDebugUtils.currentLine=458859;
 //BA.debugLineNum = 458859;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=262144;
 //BA.debugLineNum = 262144;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
RDebugUtils.currentLine=262146;
 //BA.debugLineNum = 262146;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=196608;
 //BA.debugLineNum = 196608;BA.debugLine="Sub Activity_Resume";
RDebugUtils.currentLine=196610;
 //BA.debugLineNum = 196610;BA.debugLine="End Sub";
return "";
}
public static String  _button1_click() throws Exception{
RDebugUtils.currentModule="main";
String[][] _myvalue = null;
String[] _mydate = null;
int _i = 0;
RDebugUtils.currentLine=393216;
 //BA.debugLineNum = 393216;BA.debugLine="Sub Button1_Click";
RDebugUtils.currentLine=393218;
 //BA.debugLineNum = 393218;BA.debugLine="NroDiasGraph 			= DameSigDiasGraph					' 6, 14, 30, 60, 89, 179, 269, 364";
_nrodiasgraph = _damesigdiasgraph();
RDebugUtils.currentLine=393219;
 //BA.debugLineNum = 393219;BA.debugLine="NextDays 				= DameSigDiasGraph					' 6, 14, 30, 60, 89, 179, 269, 364";
_nextdays = _damesigdiasgraph();
RDebugUtils.currentLine=393221;
 //BA.debugLineNum = 393221;BA.debugLine="Button1.Text 		= \">>\"";
mostCurrent._button1.setText((Object)(">>"));
RDebugUtils.currentLine=393223;
 //BA.debugLineNum = 393223;BA.debugLine="If NroDiasGraph > MyValue0.Length Then NroDiasGraph = MyValue0.Length-1";
if (_nrodiasgraph>mostCurrent._myvalue0.length) { 
_nrodiasgraph = (int) (mostCurrent._myvalue0.length-1);};
RDebugUtils.currentLine=393225;
 //BA.debugLineNum = 393225;BA.debugLine="Dim MyValue(5, NroDiasGraph+1) As String";
_myvalue = new String[(int) (5)][];
{
int d0 = _myvalue.length;
int d1 = (int) (_nrodiasgraph+1);
for (int i0 = 0;i0 < d0;i0++) {
_myvalue[i0] = new String[d1];
java.util.Arrays.fill(_myvalue[i0],"");
}
}
;
RDebugUtils.currentLine=393226;
 //BA.debugLineNum = 393226;BA.debugLine="Dim MyDate(NroDiasGraph+1)  As String";
_mydate = new String[(int) (_nrodiasgraph+1)];
java.util.Arrays.fill(_mydate,"");
RDebugUtils.currentLine=393228;
 //BA.debugLineNum = 393228;BA.debugLine="For i = 0 To NroDiasGraph";
{
final int step98 = 1;
final int limit98 = _nrodiasgraph;
for (_i = (int) (0); (step98 > 0 && _i <= limit98) || (step98 < 0 && _i >= limit98); _i = ((int)(0 + _i + step98))) {
RDebugUtils.currentLine=393229;
 //BA.debugLineNum = 393229;BA.debugLine="MyValue(1, NroDiasGraph-i)	= MyValue0(MyValue0.Length-1-i)";
_myvalue[(int) (1)][(int) (_nrodiasgraph-_i)] = mostCurrent._myvalue0[(int) (mostCurrent._myvalue0.length-1-_i)];
RDebugUtils.currentLine=393230;
 //BA.debugLineNum = 393230;BA.debugLine="MyValue(2, NroDiasGraph-i)	= MyValue1(MyValue1.Length-1-i)";
_myvalue[(int) (2)][(int) (_nrodiasgraph-_i)] = mostCurrent._myvalue1[(int) (mostCurrent._myvalue1.length-1-_i)];
RDebugUtils.currentLine=393231;
 //BA.debugLineNum = 393231;BA.debugLine="MyValue(3, NroDiasGraph-i)	= MyValue2(MyValue2.Length-1-i)";
_myvalue[(int) (3)][(int) (_nrodiasgraph-_i)] = mostCurrent._myvalue2[(int) (mostCurrent._myvalue2.length-1-_i)];
RDebugUtils.currentLine=393232;
 //BA.debugLineNum = 393232;BA.debugLine="MyValue(4, NroDiasGraph-i)	= MyValue3(MyValue3.Length-1-i)";
_myvalue[(int) (4)][(int) (_nrodiasgraph-_i)] = mostCurrent._myvalue3[(int) (mostCurrent._myvalue3.length-1-_i)];
RDebugUtils.currentLine=393233;
 //BA.debugLineNum = 393233;BA.debugLine="MyDate (NroDiasGraph-i)		= MyDates (MyDates.Length -1-i)";
_mydate[(int) (_nrodiasgraph-_i)] = mostCurrent._mydates[(int) (mostCurrent._mydates.length-1-_i)];
 }
};
RDebugUtils.currentLine=393236;
 //BA.debugLineNum = 393236;BA.debugLine="MyValuesIni = MyValue";
mostCurrent._myvaluesini = _myvalue;
RDebugUtils.currentLine=393237;
 //BA.debugLineNum = 393237;BA.debugLine="MyDateIni	= MyDate";
mostCurrent._mydateini = _mydate;
RDebugUtils.currentLine=393239;
 //BA.debugLineNum = 393239;BA.debugLine="F51_DrawGraph(\"Example\")";
_f51_drawgraph("Example");
RDebugUtils.currentLine=393241;
 //BA.debugLineNum = 393241;BA.debugLine="End Sub";
return "";
}
}